javax.enterprise.deploy.spi.status

## Interface DeploymentStatus

-     public interface DeploymentStatus

  The DeploymentStatus interface provides information about the progress status of a deployment action.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionType` | `getAction()` Retrieve the deployment ActionType for this event.
    `CommandType` | `getCommand()` Retrieve the deployment CommandType of this event.
    `String` | `getMessage()` Retrieve any additional information about the status of this event.
    `StateType` | `getState()` Retrieve the StateType value.
    `boolean` | `isCompleted()` A convience method to report if the operation is in the completed state.
    `boolean` | `isFailed()` A convience method to report if the operation is in the failed state.
    `boolean` | `isRunning()` A convience method to report if the operation is in the running state.

- - ### Method Detail

    - #### getState

          StateType getState()

      Retrieve the StateType value.
      Returns:
        the StateType object

    - #### getCommand

          CommandType getCommand()

      Retrieve the deployment CommandType of this event.
      Returns:
        the CommandType Object

    - #### getAction

          ActionType getAction()

      Retrieve the deployment ActionType for this event.
      Returns:
        the ActionType Object

    - #### getMessage

          String getMessage()

      Retrieve any additional information about the status of this event.
      Returns:
        message text

    - #### isCompleted

          boolean isCompleted()

      A convience method to report if the operation is in the completed state.
      Returns:
        true if this command has completed successfully

    - #### isFailed

          boolean isFailed()

      A convience method to report if the operation is in the failed state.
      Returns:
        true if this command has failed

    - #### isRunning

          boolean isRunning()

      A convience method to report if the operation is in the running state.
      Returns:
        true if this command is still running

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.